EDIT - feature request #7283

Improvements for alternative identifier search
02/21/2018 01:28 PM - Andreas Mller

Status: Resolved Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 60%
Category: taxeditor Estimated time: 4:00 hours
Target version: Release 5.4

Severity: normal

Description

Make configurable via preferences.

o Allow filtering by certain ident
e lpse hre he erpativ

ifier types #7841

Related issues:

Related to EDIT - feature request #8302: Assure uniqueness of E+M reference n... New
Copied from EDIT - feature request #5687: search for alternative identifiers Closed
Copied to EDIT - feature request #7841: identifier search: filtering by ident... New

Associated revisions

Revision 1b6b0ad8 - 09/18/2018 12:48 PM - Katja Luther

ref #7283: add identifier string in reference selection if searched for identifier

Revision c459863f - 10/16/2018 11:54 AM - Katja Luther

ref #7283: add service method to search for identifier and titleCache

Revision 6c029f30 - 10/16/2018 12:11 PM - Katja Luther
ref #7283: minor

Revision aaee4922 - 10/25/2018 10:17 AM - Andreas Miiller

ref #7283 fix NPE in Alternativeldentifier constructor if no type is given

History

#1 - 02/21/2018 01:28 PM - Andreas Miiller

- Copied from feature request #5687: search for alternative identifiers added

#2 - 02/21/2018 01:29 PM - Andreas Miiller

- Description updated

#3 - 04/30/2018 04:28 PM - Andreas Miiller

- Description updated

#4 - 05/17/2018 05:34 PM - Andreas Miiller

- Description updated

#5 - 05/18/2018 09:52 AM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.1

As this is important for E+M | moved it to 5.1

#6 - 05/28/2018 11:58 AM - Andreas Miiller
- Estimated time set to 4:00 h
#7 - 06/28/2018 12:08 AM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#8 - 08/17/2018 03:52 PM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.3

#9 - 09/06/2018 08:55 PM - Katja Luther

- Target version changed from Release 5.3 to Release 5.4

#10 - 09/18/2018 12:43 PM - Katja Luther

- Status changed from New to In Progress

#11 - 09/18/2018 12:48 PM - Katja Luther

this is implemented now, the id (cdm id) is in "[]" brackets therefore | choose "()" brackets for alternative identifiers

#12 - 10/16/2018 09:38 AM - Katja Luther

- Description updated

#13 - 10/16/2018 12:38 PM - Katja Luther

the search for identifier and titleCache is implemented as well.

#14 - 10/23/2018 11:06 AM - Andreas Miiller
- Description updated
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

for review, move open issues to new ticket #7841

#15 - 10/23/2018 11:06 AM - Andreas Miiller
- Copied to feature request #7841: identifier search: filtering by identifier types added

#16 - 10/25/2018 10:21 AM - Andreas Miiller

| still fixed a new NPE: commit aaee4922

#17 - 10/25/2018 10:23 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- % Done changed from 0 to 60

Do | understand correctly that this functionality is only available for certain references searches? | tested for searching for nomenclatural references.
There the preferences had no effect.
Searching for fact sources it had an effect (could not test yet, because of NPE, will further test soon)

#18 - 02/06/2019 10:30 AM - Katja Luther

Andreas Muller wrote:

Do I understand correctly that this functionality is only available for certain references searches? | tested for searching for nomenclatural
references. There the preferences had no effect.
Searching for fact sources it had an effect (could not test yet, because of NPE, will further test soon)

this is fixed now.

#19 - 02/06/2019 10:42 AM - Andreas Miiller

- Status changed from Feedback to Resolved

#20 - 05/24/2019 11:18 AM - Andreas Muller

- Related to feature request #8302: Assure uniqueness of E+M reference number added
